commit:     2b2cb284d929f25399f2142292a715656b50a44c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 19:10:38 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 19:31:45 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b2cb284

dev-python/olefile: Enable tests, py3.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/olefile/olefile-0.46.ebuild | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

diff --git a/dev-python/olefile/olefile-0.46.ebuild 
b/dev-python/olefile/olefile-0.46.ebuild
index 10972e2cd7c..a78fc2a6f0b 100644
--- a/dev-python/olefile/olefile-0.46.ebuild
+++ b/dev-python/olefile/olefile-0.46.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python{2_7,3_{5,6,7}} pypy{,3} )
+PYTHON_COMPAT=( python{2_7,3_{5,6,7,8}} pypy{,3} )
 
 inherit distutils-r1
 
@@ -16,14 +16,19 @@ SLOT="0"
 KEYWORDS="alpha amd64 arm arm64 ~hppa ppc ppc64 ~sparc x86 ~amd64-linux 
~x86-linux"
 IUSE="doc"
 
-RDEPEND=""
 BDEPEND="
-       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+       doc? ( $(python_gen_any_dep 'dev-python/sphinx[${PYTHON_USEDEP}]') )"
+
+distutils_enable_tests unittest
+
+python_check_deps() {
+       use doc || return 0
+       has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
+}
 
 python_compile_all() {
        if use doc; then
-          emake -C doc html
-          HTML_DOCS=( doc/_build/html/. )
+               emake -C doc html
+               HTML_DOCS=( doc/_build/html/. )
        fi
-
 }

Reply via email to